      var N,K,i:longint;
      b,x:int64;
      a:array[1..1000] of longint;
      begin
      Randomize;
      readln(N,K);
      for i:=1 to k do readln(a[i]);
      x:=(N-k)*(N-K);
      b:=random(x);
      writeln(b);
      end.
